#!/usr/bin/env bash

source bin/helpers/func.sh

# $1 should be binary path
BINARY_PATH=$1

# $2 should be completion script path
COMPLETION_SCRIPT=$2

# Confirm these are paths
if [ -z "$BINARY_PATH" ] || [ -z "$COMPLETION_SCRIPT" ]; then
    printfe "%s\n" "red" "Usage: $0 <binary_path> <completion_script_path>"
    exit 1
fi

printfe "%s\n" "cyan" "Cleaning up old binaries and completion scripts..."
rm -f $BINARY_PATH
rm -f $COMPLETION_SCRIPT
